<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Mon May 11 16:25:08 CEST 2020 -->
<title>agents</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-11">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="agents";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/agents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">thesis</a></div>
<h2 title="Class agents" class="title">Class agents</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>thesis.agents</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="Lease.html" title="class in thesis">Lease</a></code>, <code><a href="Occasion.html" title="class in thesis">Occasion</a></code>, <code><a href="Private_new.html" title="class in thesis">Private_new</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">agents</span>
extends java.lang.Object</pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dani Sibbel</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#current_car_type">current_car_type</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double)">agents</a></span>&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
      int&nbsp;id,
      int&nbsp;age,
      int&nbsp;income,
      java.lang.String&nbsp;education,
      java.lang.String&nbsp;household_composition,
      java.lang.String&nbsp;sex,
      java.lang.String&nbsp;province,
      java.lang.String&nbsp;a_work_situation,
      java.lang.String&nbsp;a_prof_situation,
      java.lang.Boolean&nbsp;drivers_license,
      java.lang.Boolean&nbsp;a_has_car,
      java.lang.Boolean&nbsp;a_knowledge_BEV,
      java.lang.String&nbsp;parking_home,
      java.lang.String&nbsp;parking_at_work,
      java.lang.String&nbsp;car_combustion_type,
      int&nbsp;car_age,
      int&nbsp;car_weight,
      float&nbsp;distance_traveled,
      float&nbsp;CO2_emissions_traveled,
      float&nbsp;CO2_emissions_per_km,
      java.lang.String&nbsp;property_type,
      java.lang.String&nbsp;satisfaction_commute,
      java.lang.String&nbsp;reason_to_go_with_car,
      int&nbsp;knowledge_EV,
      int&nbsp;knowledge_environmental,
      int&nbsp;participation_environmental,
      java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
      java.lang.String&nbsp;choice_without_f_aid,
      java.lang.String&nbsp;EV_positive_surprise,
      java.lang.String&nbsp;EV_negative_surprise,
      java.lang.String&nbsp;used_shared_car,
      java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
      java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
      java.lang.Boolean&nbsp;priv_loadPole,
      java.lang.String&nbsp;happy_walk,
      java.lang.String&nbsp;batt_suff,
      java.lang.String&nbsp;insuf_batt,
      java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
      java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
      java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
      int&nbsp;EV_happiness,
      int&nbsp;nbr_peop_organisation,
      java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
      java.lang.Boolean&nbsp;needs_charging,
      repast.simphony.space.grid.GridPoint&nbsp;home_location,
      double&nbsp;happiness)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#AcquireNewCar()">AcquireNewCar</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#average_EV_happiness()">average_EV_happiness</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_BPM_cost()">calculate_BPM_cost</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_cost_of_trip(double)">calculate_cost_of_trip</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_gasoline_vs_diesel(int)">calculate_gasoline_vs_diesel</a></span>&#8203;(int&nbsp;inkomen)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_MRB_cost()">calculate_MRB_cost</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_propensity_for_EV(int)">calculate_propensity_for_EV</a></span>&#8203;(int&nbsp;inkomen)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_diesel(double)">calculate_trip_cost_diesel</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_Electric(double)">calculate_trip_cost_Electric</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_gasoline(double)">calculate_trip_cost_gasoline</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_Hydrogen(double)">calculate_trip_cost_Hydrogen</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_LPG(double)">calculate_trip_cost_LPG</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_trip_cost_PHEV(double)">calculate_trip_cost_PHEV</a></span>&#8203;(double&nbsp;nr_km_per_week)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#calculate_type_of_fuel(int)">calculate_type_of_fuel</a></span>&#8203;(int&nbsp;inkomen)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#closest_parkingSpot(repast.simphony.space.grid.Grid)">closest_parkingSpot</a></span>&#8203;(repast.simphony.space.grid.Grid&lt;java.lang.Object&gt;&nbsp;grid)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#determine_propensity_new_car(int,int,java.lang.String)">determine_propensity_new_car</a></span>&#8203;(int&nbsp;car_age,
                            int&nbsp;income,
                            java.lang.String&nbsp;current_car_type)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#financial_considerations()">financial_considerations</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_average(thesis.agents)">get_average</a></span>&#8203;(<a href="agents.html" title="class in thesis">agents</a>&nbsp;agent)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_car_combustion_type()">get_car_combustion_type</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_commute_distance()">get_commute_distance</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_current_car_type()">get_current_car_type</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_EV_Happiness()">get_EV_Happiness</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_happiness()">get_happiness</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_non_EV_Happiness()">get_non_EV_Happiness</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#get_overview_facilities_used()">get_overview_facilities_used</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#give_nr_cars()">give_nr_cars</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#goToWork()">goToWork</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#Park_Car()">Park_Car</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setHomeLocation(thesis.Residence)">setHomeLocation</a></span>&#8203;(<a href="Residence.html" title="class in thesis">Residence</a>&nbsp;home)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_Diesel()">total_Diesel</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_EV()">total_EV</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_Gasoline()">total_Gasoline</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_Hybrid()">total_Hybrid</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_Hydrogen()">total_Hydrogen</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#total_PHEV()">total_PHEV</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#typical_profile()">typical_profile</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#update_happiness(repast.simphony.space.grid.Grid,java.lang.Object)">update_happiness</a></span>&#8203;(repast.simphony.space.grid.Grid&lt;java.lang.Object&gt;&nbsp;grid,
                java.lang.Object&nbsp;ps)</code></th>
<td class="colLast">
<div class="block">Connects and logins to the FTP server.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="current_car_type">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>current_car_type</h4>
<pre>public&nbsp;java.lang.String current_car_type</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(repast.simphony.context.Context,int,int,int,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.Boolean,java.lang.Boolean,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,int,int,float,float,float,java.lang.String,java.lang.String,java.lang.String,int,int,int,java.util.List,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.lang.Boolean,java.lang.String,java.lang.String,java.lang.String,java.util.List,java.util.List,java.util.List,int,int,java.util.List,java.lang.Boolean,repast.simphony.space.grid.GridPoint,double)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>agents</h4>
<pre>public&nbsp;agents&#8203;(repast.simphony.context.Context&lt;java.lang.Object&gt;&nbsp;context,
              int&nbsp;id,
              int&nbsp;age,
              int&nbsp;income,
              java.lang.String&nbsp;education,
              java.lang.String&nbsp;household_composition,
              java.lang.String&nbsp;sex,
              java.lang.String&nbsp;province,
              java.lang.String&nbsp;a_work_situation,
              java.lang.String&nbsp;a_prof_situation,
              java.lang.Boolean&nbsp;drivers_license,
              java.lang.Boolean&nbsp;a_has_car,
              java.lang.Boolean&nbsp;a_knowledge_BEV,
              java.lang.String&nbsp;parking_home,
              java.lang.String&nbsp;parking_at_work,
              java.lang.String&nbsp;car_combustion_type,
              int&nbsp;car_age,
              int&nbsp;car_weight,
              float&nbsp;distance_traveled,
              float&nbsp;CO2_emissions_traveled,
              float&nbsp;CO2_emissions_per_km,
              java.lang.String&nbsp;property_type,
              java.lang.String&nbsp;satisfaction_commute,
              java.lang.String&nbsp;reason_to_go_with_car,
              int&nbsp;knowledge_EV,
              int&nbsp;knowledge_environmental,
              int&nbsp;participation_environmental,
              java.util.List&lt;java.lang.String&gt;&nbsp;EV_reason,
              java.lang.String&nbsp;choice_without_f_aid,
              java.lang.String&nbsp;EV_positive_surprise,
              java.lang.String&nbsp;EV_negative_surprise,
              java.lang.String&nbsp;used_shared_car,
              java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_use_shared_car,
              java.util.List&lt;java.lang.String&gt;&nbsp;reason_to_not_use_shared_car,
              java.lang.Boolean&nbsp;priv_loadPole,
              java.lang.String&nbsp;happy_walk,
              java.lang.String&nbsp;batt_suff,
              java.lang.String&nbsp;insuf_batt,
              java.util.List&lt;java.lang.String&gt;&nbsp;overview_facilities_used,
              java.util.List&lt;java.lang.String&gt;&nbsp;pos_elec,
              java.util.List&lt;java.lang.String&gt;&nbsp;neg_elec,
              int&nbsp;EV_happiness,
              int&nbsp;nbr_peop_organisation,
              java.util.List&lt;java.lang.String&gt;&nbsp;work_incentives,
              java.lang.Boolean&nbsp;needs_charging,
              repast.simphony.space.grid.GridPoint&nbsp;home_location,
              double&nbsp;happiness)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="financial_considerations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>financial_considerations</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;financial_considerations()</pre>
</li>
</ul>
<a id="goToWork()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>goToWork</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;goToWork()</pre>
</li>
</ul>
<a id="calculate_BPM_cost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_BPM_cost</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_BPM_cost()</pre>
</li>
</ul>
<a id="calculate_MRB_cost()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_MRB_cost</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_MRB_cost()</pre>
</li>
</ul>
<a id="AcquireNewCar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>AcquireNewCar</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;AcquireNewCar()</pre>
</li>
</ul>
<a id="calculate_type_of_fuel(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_type_of_fuel</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;calculate_type_of_fuel&#8203;(int&nbsp;inkomen)</pre>
</li>
</ul>
<a id="determine_propensity_new_car(int,int,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>determine_propensity_new_car</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;determine_propensity_new_car&#8203;(int&nbsp;car_age,
                                                     int&nbsp;income,
                                                     java.lang.String&nbsp;current_car_type)</pre>
</li>
</ul>
<a id="calculate_propensity_for_EV(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_propensity_for_EV</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_propensity_for_EV&#8203;(int&nbsp;inkomen)</pre>
</li>
</ul>
<a id="typical_profile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>typical_profile</h4>
<pre class="methodSignature">public&nbsp;java.lang.Boolean&nbsp;typical_profile()</pre>
</li>
</ul>
<a id="calculate_gasoline_vs_diesel(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_gasoline_vs_diesel</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;calculate_gasoline_vs_diesel&#8203;(int&nbsp;inkomen)</pre>
</li>
</ul>
<a id="calculate_cost_of_trip(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_cost_of_trip</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_cost_of_trip&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_gasoline(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_gasoline</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_gasoline&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_diesel(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_diesel</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_diesel&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_LPG(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_LPG</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_LPG&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_PHEV(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_PHEV</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_PHEV&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_Hydrogen(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_Hydrogen</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_Hydrogen&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="calculate_trip_cost_Electric(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calculate_trip_cost_Electric</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;calculate_trip_cost_Electric&#8203;(double&nbsp;nr_km_per_week)</pre>
</li>
</ul>
<a id="average_EV_happiness()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>average_EV_happiness</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;average_EV_happiness()</pre>
</li>
</ul>
<a id="total_EV()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_EV</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_EV()</pre>
</li>
</ul>
<a id="total_Diesel()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_Diesel</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_Diesel()</pre>
</li>
</ul>
<a id="total_PHEV()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_PHEV</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_PHEV()</pre>
</li>
</ul>
<a id="total_Hybrid()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_Hybrid</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_Hybrid()</pre>
</li>
</ul>
<a id="total_Hydrogen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_Hydrogen</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_Hydrogen()</pre>
</li>
</ul>
<a id="total_Gasoline()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>total_Gasoline</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;total_Gasoline()</pre>
</li>
</ul>
<a id="give_nr_cars()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>give_nr_cars</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;give_nr_cars()</pre>
</li>
</ul>
<a id="Park_Car()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Park_Car</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;Park_Car()</pre>
</li>
</ul>
<a id="closest_parkingSpot(repast.simphony.space.grid.Grid)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closest_parkingSpot</h4>
<pre class="methodSignature">public&nbsp;java.lang.Object&nbsp;closest_parkingSpot&#8203;(repast.simphony.space.grid.Grid&lt;java.lang.Object&gt;&nbsp;grid)</pre>
</li>
</ul>
<a id="update_happiness(repast.simphony.space.grid.Grid,java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update_happiness</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;update_happiness&#8203;(repast.simphony.space.grid.Grid&lt;java.lang.Object&gt;&nbsp;grid,
                               java.lang.Object&nbsp;ps)</pre>
<div class="block">Connects and logins to the FTP server.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>FTPConnectionException</code> - If an I/O error occurs.</dd>
<dd><code>FTPLoginException</code> - If the login operation did not succeed.updates the happiness according to the distance someone had to travel</dd>
</dl>
</li>
</ul>
<a id="setHomeLocation(thesis.Residence)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHomeLocation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setHomeLocation&#8203;(<a href="Residence.html" title="class in thesis">Residence</a>&nbsp;home)</pre>
</li>
</ul>
<a id="get_EV_Happiness()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_EV_Happiness</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;get_EV_Happiness()</pre>
</li>
</ul>
<a id="get_non_EV_Happiness()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_non_EV_Happiness</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;get_non_EV_Happiness()</pre>
</li>
</ul>
<a id="get_average(thesis.agents)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_average</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;get_average&#8203;(<a href="agents.html" title="class in thesis">agents</a>&nbsp;agent)</pre>
</li>
</ul>
<a id="get_commute_distance()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_commute_distance</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;get_commute_distance()</pre>
</li>
</ul>
<a id="get_car_combustion_type()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_car_combustion_type</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;get_car_combustion_type()</pre>
</li>
</ul>
<a id="get_current_car_type()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_current_car_type</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;get_current_car_type()</pre>
</li>
</ul>
<a id="get_overview_facilities_used()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>get_overview_facilities_used</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;java.lang.String&gt;&nbsp;get_overview_facilities_used()</pre>
</li>
</ul>
<a id="get_happiness()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>get_happiness</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;get_happiness()</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/agents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
